### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# utils.growl

## Module: `utils.growl`

Inheritance diagram for `IPython.utils.growl`:

Utilities using Growl on OS X for notifications.

## Classes

### `IPythonGrowlError`

class `IPython.utils.growl.``IPythonGrowlError`

  Bases: `exceptions.Exception`

  `__init__`()

    x.__init__(...) initializes x; see help(type(x)) for signature

  `args`
  `message`

### `Notifier`

class `IPython.utils.growl.``Notifier`(app_name)

  Bases: `object`

  `__init__`(app_name)
  `notify`(title, msg)
  `notify_deferred`(r, msg)

## Functions

`IPython.utils.growl.``notify`(title, msg)

`IPython.utils.growl.``notify_deferred`(r, msg)

`IPython.utils.growl.``start`(app_name)

### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »